Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

fixes #240 tinymce theme is now forced to advanced and use insert_bef…

…ore for inserting buttons
  • Loading branch information...
commit 2c228d0d4d936e9c54d4c1ca91b9f8696e75ec3e 1 parent db8f8b2
@digi604 digi604 authored
Showing with 3 additions and 7 deletions.
  1. +3 −7 cms/plugins/text/widgets/tinymce_widget.py
View
10 cms/plugins/text/widgets/tinymce_widget.py
@@ -62,14 +62,10 @@ def render(self, name, value, attrs=None):
plugins += ","
plugins += "-cmsplugins"
mce_config['plugins'] = plugins
- adv2 = mce_config.get('theme_advanced_buttons1', None)
- if adv2 is not None:
- if len(adv2):
- adv2 = "," + adv2
- adv2 = "cmsplugins,cmspluginsedit" + adv2
- mce_config['theme_advanced_buttons1'] = adv2
+ if mce_config['theme'] == "simple":
+ mce_config['theme'] = "advanced"
+ mce_config['theme_advanced_buttons1_add_before'] = "cmsplugins,cmspluginsedit"
json = simplejson.dumps(mce_config)
-
html = [u'<textarea%s>%s</textarea>' % (flatatt(final_attrs), escape(value))]
if tinymce.settings.USE_COMPRESSOR:
compressor_config = {
Please sign in to comment.
Something went wrong with that request. Please try again.